package com.steering.pss.ydm.StuffmanageReport;

import java.util.ArrayList;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

import com.steering.comm.converter.CoreConverter;
import com.steering.comm.db.DBCommon;

public class FrmReportInput extends DBCommon{

	public CoreReturnObject doQueryData(ArrayList<String> list,String[] arr)
	{
		String sql = CoreXmlSqlParsersFactory.getSql("FrmReportInput.doQueryData").replace("#COLUMNS#", list.get(0));
		sql +=CoreConverter.toSqlConditionString("t.STORAGE_NO", arr);
		sql = sql.replace("#CONDITIONS#", list.get(1));
		sql = sql + list.get(2);
		return this.getData(sql);
	}
}
